// Fill out your copyright notice in the Description page of Project Settings.


#include "Path.h"
#include "Runtime/NavigationSystem/Public/NavigationSystem.h"
#include "Runtime/NavigationSystem/Public/NavigationPath.h"
#include "DrawDebugHelpers.h"

// Sets default values
APath::APath()
{
 	// Set this actor to call Tick() every frame.  You can turn this off to improve performance if you don't need it.
	PrimaryActorTick.bCanEverTick = true;

}

// Called when the game starts or when spawned
void APath::BeginPlay()
{
	Super::BeginPlay();
	
	//RebuildPath();
}

// Called every frame
void APath::Tick(float DeltaTime)
{
	Super::Tick(DeltaTime);

	/* debug drawing, disalbe this for performance.
	if (Waypoints.Num() > 1)
	{
		for (int i = 1, n = Waypoints.Num(); i < n; i++)
		{
			DrawDebugLine(GetWorld(), Waypoints[i - 1], Waypoints[i], FColor::Red, false, -1.0f, 0U, 10.0f);
		}
	}*/
}

void APath::RebuildPath()
{
	UNavigationSystemV1* navSys = FNavigationSystem::GetCurrent<UNavigationSystemV1>(GetWorld());

	UNavigationPath* path = navSys->FindPathToLocationSynchronously(GetWorld(), Start, End, NULL);

	Waypoints.Empty();

	for (FVector p : path->PathPoints)
	{
		Waypoints.Push(p);
	}
}

