// Copyright Epic Games, Inc. All Rights Reserved.

#include "ProjectGGJGameMode.h"
#include "ProjectGGJPlayerController.h"
#include "ProjectGGJCharacter.h"
#include "UObject/ConstructorHelpers.h"

AProjectGGJGameMode::AProjectGGJGameMode()
{
	// use our custom PlayerController class
	PlayerControllerClass = AProjectGGJPlayerController::StaticClass();

	// set default pawn class to our Blueprinted character
	static ConstructorHelpers::FClassFinder<APawn> PlayerPawnBPClass(TEXT("/Game/TopDownCPP/Blueprints/TopDownCharacter"));
	if (PlayerPawnBPClass.Class != nullptr)
	{
		DefaultPawnClass = PlayerPawnBPClass.Class;
	}

	IConsoleManager::Get().RegisterConsoleVariable(TEXT("AI.DebugEnabled"), false, TEXT("Enable AI debug rendering"), ECVF_Cheat);
	IConsoleManager::Get().RegisterConsoleVariable(TEXT("AI.Level"), 0, TEXT("AI Difficulty - 0:EasyAI, 1:AggressiveAI, 2:HardAI"), ECVF_Cheat);
}